Bug 230651 - Crash in StatusBar, Amarok opened from Dolphin
Summary: Crash in StatusBar, Amarok opened from Dolphin
Status: RESOLVED DUPLICATE of bug 253676
Alias: None
Product: amarok
Classification: Applications
Component: Notifications (show other bugs)
Version: 2.3.0
Platform: Fedora RPMs Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-03-14 05:23 UTC by Christopher Estep
Modified: 2011-02-18 22:16 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christopher Estep 2010-03-14 05:23:43 UTC
Application: amarok (2.3.0)
KDE Platform Version: 4.4.1 (KDE 4.4.1)
Qt Version: 4.6.2
Operating System: Linux 2.6.33-1.fc13.x86_64 x86_64
Distribution (Platform): Fedora RPMs

-- Information about the crash:
I was trying to play a media file in Amarok from Dolphin when the crash happened.

 -- Backtrace:
Application: Amarok (amarok), signal: Segmentation fault
82	T_PSEUDO (SYSCALL_SYMBOL, SYSCALL_NAME, SYSCALL_NARGS)
[Current thread is 1 (Thread 0x7ff6d8056820 (LWP 4763))]

Thread 3 (Thread 0x7ff6bd2d9710 (LWP 4767)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007ff6d658689b in wait (this=<value optimized out>, mutex=0x19f07f8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x19f07f8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007ff6be1fccb9 in XmlParseJob::run (this=<value optimized out>) at /usr/src/debug/amarok-2.3.0/src/collection/sqlcollection/ScanManager.cpp:692
#4  0x00007ff6d2ecd9cd in ThreadWeaver::JobRunHelper::runTheJob (this=0x7ff6bd2d8cb0, th=0x1af35a0, job=0x19f07b0) at /usr/src/debug/kdelibs-4.4.1/threadweaver/Weaver/Job.cpp:106
#5  0x00007ff6d2ecdcce in ThreadWeaver::Job::execute (this=0x19f07b0, th=0x1af35a0) at /usr/src/debug/kdelibs-4.4.1/threadweaver/Weaver/Job.cpp:135
#6  0x00007ff6d2ecce4f in ThreadWeaver::ThreadRunHelper::run (this=0x7ff6bd2d8d40, parent=0x1a14d80, th=0x1af35a0) at /usr/src/debug/kdelibs-4.4.1/threadweaver/Weaver/Thread.cpp:95
#7  0x00007ff6d2ecd368 in ThreadWeaver::Thread::run (this=0x1af35a0) at /usr/src/debug/kdelibs-4.4.1/threadweaver/Weaver/Thread.cpp:142
#8  0x00007ff6d65859a5 in QThreadPrivate::start (arg=0x1af35a0) at thread/qthread_unix.cpp:248
#9  0x00007ff6d420be11 in start_thread (arg=0x7ff6bd2d9710) at pthread_create.c:301
#10 0x00007ff6d512e8ad in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 2 (Thread 0x7ff6ad530710 (LWP 4770)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:212
#1  0x00007ff6b31c79b1 in ?? () from /usr/lib64/libxine.so.1
#2  0x00007ff6d420be11 in start_thread (arg=0x7ff6ad530710) at pthread_create.c:301
#3  0x00007ff6d512e8ad in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 1 (Thread 0x7ff6d8056820 (LWP 4763)):
[KCrash Handler]
#5  d_func (sender=0x0, m=<value optimized out>, local_signal_index=0, argv=0x7fff9b83a7e0) at kernel/qobject.h:125
#6  QMetaObject::activate (sender=0x0, m=<value optimized out>, local_signal_index=0, argv=0x7fff9b83a7e0) at kernel/qobject.cpp:3218
#7  0x00007ff6d72ab063 in StatusBar::signalLongMessage (this=<value optimized out>, _t1=..., _t2=StatusBar::Error) at /usr/src/debug/amarok-2.3.0/x86_64-redhat-linux-gnu/src/StatusBar.moc:141
#8  0x00007ff6d72af59e in StatusBar::longMessage (this=0x0, text=..., type=StatusBar::Error) at /usr/src/debug/amarok-2.3.0/src/statusbar/StatusBar.cpp:276
#9  0x00007ff6d732f5f4 in EngineController::supportedMimeTypes () at /usr/src/debug/amarok-2.3.0/src/EngineController.cpp:243
#10 0x00007ff6d732f955 in EngineController::canDecode (url=...) at /usr/src/debug/amarok-2.3.0/src/EngineController.cpp:209
#11 0x00007ff6d71d0f10 in CollectionManager::trackForUrl (this=<value optimized out>, url=...) at /usr/src/debug/amarok-2.3.0/src/collection/CollectionManager.cpp:502
#12 0x00007ff6d732a075 in DirectoryLoader::init (this=0x1b85960, urls=<value optimized out>) at /usr/src/debug/amarok-2.3.0/src/DirectoryLoader.cpp:94
#13 0x00007ff6d6feb877 in Playlist::Controller::insertOptioned (this=0x1b875e0, urls=..., options=33) at /usr/src/debug/amarok-2.3.0/src/playlist/PlaylistController.cpp:199
#14 0x00007ff6d731ffef in App::handleCliArgs () at /usr/src/debug/amarok-2.3.0/src/App.cpp:338
#15 0x00007ff6d73213d1 in App::newInstance (this=0x7fff9b83d5a0) at /usr/src/debug/amarok-2.3.0/src/App.cpp:939
#16 0x00007ff6d7a83266 in KUniqueApplicationAdaptor::newInstance (this=0x1821a00, asn_id=<value optimized out>, args=...) at /usr/src/debug/kdelibs-4.4.1/kdeui/kernel/kuniqueapplication.cpp:459
#17 0x00007ff6d7a83862 in KUniqueApplicationAdaptor::qt_metacall (this=0x1821a00, _c=QMetaObject::InvokeMetaMethod, _id=0, _a=0x7fff9b83b560)
    at /usr/src/debug/kdelibs-4.4.1/x86_64-redhat-linux-gnu/kdeui/kuniqueapplication_p.moc:81
#18 0x00007ff6d4443c26 in QDBusConnectionPrivate::deliverCall (this=<value optimized out>, object=<value optimized out>, msg=<value optimized out>, metaTypes=..., slotIdx=<value optimized out>)
    at qdbusintegrator.cpp:904
#19 0x00007ff6d4444e3f in QDBusConnectionPrivate::activateCall (this=<value optimized out>, object=0x1821a00, flags=337, msg=...) at qdbusintegrator.cpp:809
#20 0x00007ff6d444590d in QDBusConnectionPrivate::activateObject (this=<value optimized out>, node=<value optimized out>, msg=..., pathStartPos=<value optimized out>) at qdbusintegrator.cpp:1364
#21 0x00007ff6d4445ba8 in QDBusActivateObjectEvent::placeMetaCall (this=0x1831540) at qdbusintegrator.cpp:1477
#22 0x00007ff6d667bcf1 in QObject::event (this=0x7fff9b83d5a0, e=0x1831540) at kernel/qobject.cpp:1248
#23 0x00007ff6d5a97f9d in QApplication::event (this=0x7fff9b83d5a0, e=0x1831540) at kernel/qapplication.cpp:2353
#24 0x00007ff6d731c80c in App::event (this=<value optimized out>, event=<value optimized out>) at /usr/src/debug/amarok-2.3.0/src/App.cpp:906
#25 0x00007ff6d5a95a0c in QApplicationPrivate::notify_helper (this=0x16e9610, receiver=0x7fff9b83d5a0, e=0x1831540) at kernel/qapplication.cpp:4300
#26 0x00007ff6d5a9b9fb in QApplication::notify (this=<value optimized out>, receiver=0x7fff9b83d5a0, e=0x1831540) at kernel/qapplication.cpp:4183
#27 0x00007ff6d731c11a in App::notify (this=<value optimized out>, receiver=<value optimized out>, event=<value optimized out>) at /usr/src/debug/amarok-2.3.0/src/App.cpp:917
#28 0x00007ff6d666ccac in QCoreApplication::notifyInternal (this=0x7fff9b83d5a0, receiver=0x7fff9b83d5a0, event=0x1831540) at kernel/qcoreapplication.cpp:704
#29 0x00007ff6d666d9f7 in sendEvent (receiver=0x0, event_type=<value optimized out>, data=0x159f5c0) at kernel/qcoreapplication.h:215
#30 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=<value optimized out>, data=0x159f5c0) at kernel/qcoreapplication.cpp:1345
#31 0x00007ff6d6692a83 in sendPostedEvents (s=<value optimized out>) at kernel/qcoreapplication.h:220
#32 postEventSourceDispatch (s=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:276
#33 0x00007ff6cfc548b2 in g_main_dispatch (context=0x16ec920) at gmain.c:1960
#34 IA__g_main_context_dispatch (context=0x16ec920) at gmain.c:2513
#35 0x00007ff6cfc58688 in g_main_context_iterate (context=0x16ec920, block=<value optimized out>, dispatch=<value optimized out>, self=<value optimized out>) at gmain.c:2591
#36 0x00007ff6cfc5883c in IA__g_main_context_iteration (context=0x16ec920, may_block=1) at gmain.c:2654
#37 0x00007ff6d66925c3 in QEventDispatcherGlib::processEvents (this=0x159f1c0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:412
#38 0x00007ff6d5b3496e in QGuiEventDispatcherGlib::processEvents (this=<value optimized out>, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#39 0x00007ff6d666b6f2 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#40 0x00007ff6d666b9bc in QEventLoop::exec (this=0x181cea0, flags=...) at kernel/qeventloop.cpp:201
#41 0x0000003513e41eda in Phonon::PulseSupport::PulseSupport (this=<value optimized out>) at /usr/src/debug/phonon-4.3.80/phonon/pulsesupport.cpp:668
#42 0x0000003513e41f7f in Phonon::PulseSupport::getInstance () at /usr/src/debug/phonon-4.3.80/phonon/pulsesupport.cpp:620
#43 0x0000003513e2b2bd in Phonon::AudioOutputPrivate::init (this=0x182dda0, c=Phonon::MusicCategory) at /usr/src/debug/phonon-4.3.80/phonon/audiooutput.cpp:102
#44 0x00007ff6d7333454 in EngineController::initializePhonon (this=0x181cf20) at /usr/src/debug/amarok-2.3.0/src/EngineController.cpp:122
#45 0x00007ff6d733828d in EngineController::qt_metacall (this=0x181cf20, _c=QMetaObject::InvokeMetaMethod, _id=21, _a=0x7fff9b83c980)
    at /usr/src/debug/amarok-2.3.0/x86_64-redhat-linux-gnu/src/EngineController.moc:147
#46 0x00007ff6d6674af6 in QMetaMethod::invoke (this=0x7fff9b83cc30, object=0x181cf20, connectionType=<value optimized out>, returnValue=..., val0=..., val1=..., val2=..., val3=..., val4=..., 
    val5=..., val6=..., val7=..., val8=..., val9=...) at kernel/qmetaobject.cpp:1533
#47 0x00007ff6d66751a6 in QMetaObject::invokeMethod (obj=0x181cf20, member=<value optimized out>, type=<value optimized out>, ret=..., val0=..., val1=..., val2=..., val3=..., val4=..., val5=..., 
    val6=..., val7=..., val8=..., val9=...) at kernel/qmetaobject.cpp:1113
#48 0x00007ff6d740bba5 in invokeMethod (this=<value optimized out>) at /usr/include/QtCore/qobjectdefs.h:398
#49 Amarok::DefaultApplicationController::initEngineController (this=<value optimized out>) at /usr/src/debug/amarok-2.3.0/src/statemanagement/DefaultApplicationController.cpp:90
#50 0x00007ff6d740bbd9 in Amarok::DefaultApplicationController::start (this=0x181f5e0) at /usr/src/debug/amarok-2.3.0/src/statemanagement/DefaultApplicationController.cpp:47
#51 0x00007ff6d731e54a in App::continueInit (this=0x7fff9b83d5a0) at /usr/src/debug/amarok-2.3.0/src/App.cpp:653
#52 0x00007ff6d732200d in App::App (this=0x7fff9b83d5a0) at /usr/src/debug/amarok-2.3.0/src/App.cpp:211
#53 0x00000000004085e8 in main (argc=2, argv=0x7fff9b83f518) at /usr/src/debug/amarok-2.3.0/src/main.cpp:235

Reported using DrKonqi
Comment 1 Kevin Funk 2010-03-14 11:29:08 UTC
Please provide more info.
What file was it?
Did you start Amarok with parameters?
Can you reproduce it (because I can't)?
Comment 2 Sven Krohlas 2010-05-11 17:54:51 UTC
Mass closing NEEDSINFO bugs with no comment for at least 31 days.

Dear reporter,

thanks for your feedback. For efficient bug triaging we need not only one report but also constant feedback about the status of an issue, at least when we ask for it.

If your request is still valid in our latest release in your opinion (2.3.1 beta 1) DO NOT REOPEN THIS BUG but file a fresh one instead. Developers need clean bug reports to be able to work efficiently. Provide at least a step-by-step guide on how to reproduce the issue, a backtrace in case of a crash and debug output if appropriate.

And remember:
* One issue per bug. Small, clean bug reports are best to work on.
* Search for duplicates. Hint: we have useful categories for that. :)

-> RESOLVED INVALID
Comment 3 Kevin Funk 2011-02-18 22:16:16 UTC
Marking this as duplicate.

*** This bug has been marked as a duplicate of bug 253676 ***